relaxngcc.parser.state

## Class NGCCHandler

- java.lang.Object
- - relaxngcc.parser.state.NGCCHandler

All Implemented Interfaces:
  NGCCEventReceiver

Direct Known Subclasses:
  IncludedGrammarState, Start

    public abstract class NGCCHandler
    extends java.lang.Object
    implements NGCCEventReceiver

Version:
  $Id: NGCCHandler.java,v 1.9 2002/09/29 02:55:48 okajima Exp $
Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Method Summary

Methods
`void` `revertToParentFromEnterAttribute(java.lang.Object result, int cookie, java.lang.String uri, java.lang.String local, java.lang.String qname)`
`void` `revertToParentFromEnterElement(java.lang.Object result, int cookie, java.lang.String uri, java.lang.String local, java.lang.String qname, org.xml.sax.Attributes atts)`
`void` `revertToParentFromLeaveAttribute(java.lang.Object result, int cookie, java.lang.String uri, java.lang.String local, java.lang.String qname)`
`void` `revertToParentFromLeaveElement(java.lang.Object result, int cookie, java.lang.String uri, java.lang.String local, java.lang.String qname)`
`void` `revertToParentFromText(java.lang.Object result, int cookie, java.lang.String text)`
`void` `spawnChildFromEnterAttribute(NGCCEventReceiver child, java.lang.String uri, java.lang.String localname, java.lang.String qname)`
`void` `spawnChildFromEnterElement(NGCCEventReceiver child, java.lang.String uri, java.lang.String localname, java.lang.String qname, org.xml.sax.Attributes atts)`
`void` `spawnChildFromLeaveAttribute(NGCCEventReceiver child, java.lang.String uri, java.lang.String localname, java.lang.String qname)`
`void` `spawnChildFromLeaveElement(NGCCEventReceiver child, java.lang.String uri, java.lang.String localname, java.lang.String qname)`
`void` `spawnChildFromText(NGCCEventReceiver child, java.lang.String value)`
`void` `unexpectedEnterAttribute(java.lang.String qname)`
`void` `unexpectedEnterElement(java.lang.String qname)`
`void` `unexpectedLeaveAttribute(java.lang.String qname)`
`void` `unexpectedLeaveElement(java.lang.String qname)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface relaxngcc.parser.state.NGCCEventReceiver

`enterAttribute, enterElement, leaveAttribute, leaveElement, text`

### Method Detail

#### spawnChildFromEnterElement

    public void spawnChildFromEnterElement(NGCCEventReceiver child,
                                  java.lang.String uri,
                                  java.lang.String localname,
                                  java.lang.String qname,
                                  org.xml.sax.Attributes atts)
                                    throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### spawnChildFromEnterAttribute

    public void spawnChildFromEnterAttribute(NGCCEventReceiver child,
                                    java.lang.String uri,
                                    java.lang.String localname,
                                    java.lang.String qname)
                                      throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### spawnChildFromLeaveElement

    public void spawnChildFromLeaveElement(NGCCEventReceiver child,
                                  java.lang.String uri,
                                  java.lang.String localname,
                                  java.lang.String qname)
                                    throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### spawnChildFromLeaveAttribute

    public void spawnChildFromLeaveAttribute(NGCCEventReceiver child,
                                    java.lang.String uri,
                                    java.lang.String localname,
                                    java.lang.String qname)
                                      throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### spawnChildFromText

    public void spawnChildFromText(NGCCEventReceiver child,
                          java.lang.String value)
                            throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### revertToParentFromEnterElement

    public void revertToParentFromEnterElement(java.lang.Object result,
                                      int cookie,
                                      java.lang.String uri,
                                      java.lang.String local,
                                      java.lang.String qname,
                                      org.xml.sax.Attributes atts)
                                        throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### revertToParentFromLeaveElement

    public void revertToParentFromLeaveElement(java.lang.Object result,
                                      int cookie,
                                      java.lang.String uri,
                                      java.lang.String local,
                                      java.lang.String qname)
                                        throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### revertToParentFromEnterAttribute

    public void revertToParentFromEnterAttribute(java.lang.Object result,
                                        int cookie,
                                        java.lang.String uri,
                                        java.lang.String local,
                                        java.lang.String qname)
                                          throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### revertToParentFromLeaveAttribute

    public void revertToParentFromLeaveAttribute(java.lang.Object result,
                                        int cookie,
                                        java.lang.String uri,
                                        java.lang.String local,
                                        java.lang.String qname)
                                          throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### revertToParentFromText

    public void revertToParentFromText(java.lang.Object result,
                              int cookie,
                              java.lang.String text)
                                throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### unexpectedEnterElement

    public void unexpectedEnterElement(java.lang.String qname)
                                throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### unexpectedLeaveElement

    public void unexpectedLeaveElement(java.lang.String qname)
                                throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### unexpectedEnterAttribute

    public void unexpectedEnterAttribute(java.lang.String qname)
                                  throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### unexpectedLeaveAttribute

    public void unexpectedLeaveAttribute(java.lang.String qname)
                                  throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`